Can't connect to server for Comfort-Update

More
1 month 1 week ago #181522 by crowlex
Hello


I need to update an old Limesurvey Server from version 2.67.1+170626 to the newest (3.16.0+190225 I think).

Problem is, that the Limesurvey server has and will NOT get any access to outside the network. We have proxy servers but they have some special regulations aswell, so I don't think they are an option.

My Idea was, to get the packages from "update.limesurvey.com" and save them locally somewhere. Then I'd just find the file for the Comfort-Update and modify it to get the files not from the web, but locally.

I wanted to ask the developers/employees about this, if this is possible and if it is recommended.
Otherwise I can just install the latest version of Limesurvey in a parallel installation.

Cheers
Crowlex

Please Log in or Create an account to join the conversation.

LimeSurvey Partners
More
1 month 1 week ago #181606 by holch
I guess it is probably easier to do the manual install. Not that complicated anyway.

As the Comfort Update is one of the ways how the Limesurvey GmbH makes money, I highly doubt that they are very inclined to help you to bypass this and create your own "Comfort Update".

You could always write a script though, that downloads the newest files ans installs it. Or, just do a manual install. It is not taking that much longer than running the comfort update and we have done it for years before the comfort update became a thing (and made things a lot easier, I agree).

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: DenisChenu, crowlex

Please Log in or Create an account to join the conversation.

More
1 month 6 days ago #181714 by crowlex
Hi holch,
thanks for your response. In that case, I will be doing this update manually.

One question though. When I search for upgrade manuals, I seem to come to the conclusion, that there are only manuals for upgrades from 1.xx to 2.xx ( manual.limesurvey.org/Upgrading_from_a_previous_version ). I thought it might just be exactly the same for an upgrade from 2.xx to 3.xx.
If that's not the case, can you link me the manual for upgrades from 2.xx to 3.xx?

Thanks
Crowlex

Please Log in or Create an account to join the conversation.

More
1 month 6 days ago #181734 by holch
I am not aware of any changes in the upgrade process. At the end you need to backup the folders that contain customization (generally the upload folder I think) and I think you need to keep the config.php. But I haven't done a manual update for quite a while due to the comfort of the comfort update.

I guess this is the latest information there is: manual.limesurvey.org/Upgrading_from_a_previous_version

I can't be of much more help here, because I haven't done a manual update lately.

I'm not a LimeSurvey GmbH member. I answer at the LimeSurvey forum in my spare time. No support via private message.
Some helpful links: Manual (EN) | Question Types | Workarounds
The following user(s) said Thank You: crowlex

Please Log in or Create an account to join the conversation.

More
1 month 6 days ago #181738 by crowlex
Okay then, I'll be trying with the old manual.

One last tiny little thing. When I search for "config.php" I came across 3 of them inside the installation folder.
./limesurvey/framework/messages/config.php
./limesurvey/application/config/config.php
./limesurvey/third_party/kcfinder/conf/config.php
I'm guessing its the one in /application/config but I'm not 100% sure. Do you know if I'm right?

Sorry for asking xD I know you said, you don't know too much about this, but a man can hope right?
Cheers & Thanks for the help!
Crowlex

Please Log in or Create an account to join the conversation.

More
1 month 6 days ago - 1 month 6 days ago #181739 by DenisChenu

crowlex wrote:

./limesurvey/application/config/config.php
I'm guessing its the one in /application/config but I'm not 100% sure. Do you know if I'm right?

You‘re right (at 110% ;) ).

Assistance on LimeSurvey forum and LimeSurvey core development are on my free time.
I'm not a LimeSurvey GmbH member, professional service on demand (or search sondages pro).
An error happen ? Before make a new topic : remind the Debug mode .
Last edit: 1 month 6 days ago by DenisChenu.
The following user(s) said Thank You: crowlex

Please Log in or Create an account to join the conversation.

Start now!

Just create your account and start using Limesurvey today.

Register now
Join our Newsletter!